
Redmine - Patch #38646

Remove unused locale entry: label_optgroup_others

2023-06-01 18:32 - Nishida Yuya

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.1.0   

Description

label_optgroup_others was born at r18181 , and only used by ApplicationHelper#render_projects_for_jump_box .

source:tags/4.1.0/app/helpers/application_helper.rb#L479

source:tags/4.1.7/app/helpers/application_helper.rb#L479

And since r19861, label_optgroup_others is never used.

The patch is created by following:

$ git cococo sh -c 'git ls-files -z | xargs -0 sed -i -e /label_optgroup_others:/d' &&

  git format-patch HEAD^..

Associated revisions

Revision 22257 - 2023-06-21 11:50 - Go MAEDA

Remove unused i18n key "label_optgroup_others" (#38646).

Patch by Nishida Yuya.

History

#1 - 2023-06-01 19:04 - Nishida Yuya

#31355 and #32944 are related issues.

＃I cannot set issue relation. Maybe I don't have "Manage issue relations" permission.

#2 - 2023-06-02 03:22 - Go MAEDA

- Target version set to 5.1.0

Setting the target version to 5.1.0.

#3 - 2023-06-21 11:51 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the fix in r22257. Thank you.

Files

0001-run-git-cococo-sh-c-git-ls-files-z-xargs-0-sed-i-e-l.patch 28.1 KB 2023-06-01 Nishida Yuya
